package cz.senslog.connector.fetch.fieldclimate;

import cz.senslog.connector.model.config.HostConfig;
import cz.senslog.connector.model.config.PropertyConfig;

public class FieldClimateSessionProxyConfig {

    private final HostConfig lastObservationHost;
    private final String user;
    private final String group;

    public FieldClimateSessionProxyConfig(PropertyConfig config) {
        this.lastObservationHost = new HostConfig(config.getPropertyConfig("lastObservationHost"));
        this.user = config.getStringProperty("user");
        this.group = config.getStringProperty("group");
    }

    public HostConfig getLastObservationHost() {
        return lastObservationHost;
    }

    public String getUser() {
        return user;
    }

    public String getGroup() {
        return group;
    }
}
